SchemaReverse::MViewsReverse Class Reference

Structure dump of materialized views or snapshots. More...

Inheritance diagram for SchemaReverse::MViewsReverse:
[legend]

## Public Member Functions

| constructor (AbstractDatasource ds, string mask=".*")
Public Member Functions inherited from SchemaReverse::CodesBaseReverse
| constructor (string object_type, AbstractDatasource ds, string mask, string function_name,)
hash | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here. More...
Public Member Functions inherited from SchemaReverse::AbstractReverseObject
| constructor (AbstractDatasource ds, string name)
Database | database ()
AbstractDatasource | datasource ()
string | name ()
string | toString ()
| Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore(). More...

## Detailed Description

Structure dump of materialized views or snapshots.

## Member Function Documentation

## constructor()

SchemaReverse::MViewsReverse::constructor | ( | AbstractDatasource | ds,
|  | string | mask = `".*"`
| ) |  |

inline

Parameters

  ds | an AbstractDatasource object
  mask | a regexp mask used to specify what objects of this type are fetched